Bug 109257 - Dovecot RPM fails to make ssl directories
Dovecot RPM fails to make ssl directories
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: dovecot (Show other bugs)
1
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: John Dennis
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-06 01:02 EST by Kevin Brouelette
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-19 06:22:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kevin Brouelette 2003-11-06 01:02:00 EST
Description of problem:
Attempting to create an imap SSL certificate for Dovecot Imap.
I edited dovecot-openssl.conf and tried to make the cert.
Running 'mkcert.sh' from /usr/share/doc/dovecot-0.99.10/,
the script fails as it needs to write out the two imapd.pem files
and the destination directories are missing.


Version-Release number of selected component (if applicable):
dovecot-0.99.10-6


How reproducible:

Always

Steps to Reproduce:
1. See above
2.
3.
  
Actual results:
Failure to make imap SSL certificate

Expected results:
Successfull creation of imap SSL certificate

Additional info:

The Fix:
1]  mkdir /etc/ssl/certs && mkdir /etc/ssl/private [as derived from
error message]
2]  run mkcert.sh again and you have success.
3]  What should be the correct permissions for these directories?
Comment 1 Jeremy Katz 2003-11-06 11:34:51 EST
You actually want to have them in /usr/share/ssl instead of /etc/ssl
-- see the %post scriptlet for dovecot.  I'll try to get around to
patching mkcert.sh at some point.
Comment 2 Markus 'Domes-DOS' Weis 2004-04-21 09:17:57 EDT
concerning dovecot-0.99.10.4 (FC2-test2):
------------------------------------------

other workaround (after editing dovecot-openssl.conf):

(1) in /usr/share/doc/dovecot-0.99.10.4/
edit mkcert.sh and change the line
SSLDIR=${SSLDIR-/etc/ssl}
to
SSLDIR=${SSLDIR-/usr/share/ssl}

(2) then run mkcert.sh (maybe you have to make it executable first)

the generated certs files are now
/usr/share/ssl/certs/imapd.pem
/usr/share/ssl/private/imapd.pem

If you want these to be used you have to adjust the settings of
ssl_cert_file and ssl_key_file in /etc/dovecot.conf



Note You need to log in before you can comment on or make changes to this bug.